[Date Prev][Date Next] [Thread Prev][Thread Next] [Date Index] [Thread Index]

Bug#990512: marked as done (unblock: mirtop/0.4.23-2)



Your message dated Sun, 4 Jul 2021 22:25:27 +0200
with message-id <YOIZNyaxHriWHivb@ramacher.at>
and subject line Re: Bug#990512: unblock: mirtop/0.4.23-2
has caused the Debian Bug report #990512,
regarding unblock: mirtop/0.4.23-2
to be marked as done.

This means that you claim that the problem has been dealt with.
If this is not the case it is now your responsibility to reopen the
Bug report if necessary, and/or fix the problem forthwith.

(NB: If you are a system administrator and have no idea what this
message is talking about, this may indicate a serious mail system
misconfiguration somewhere. Please contact owner@bugs.debian.org
immediately.)


-- 
990512: https://bugs.debian.org/cgi-bin/bugreport.cgi?bug=990512
Debian Bug Tracking System
Contact owner@bugs.debian.org with problems
--- Begin Message ---
Package: release.debian.org
Severity: normal
User: release.debian.org@packages.debian.org
Usertags: unblock
X-Debbugs-Cc: debian-med-packaging@lists.alioth.debian.org

Please unblock package mirtop

our GSoC Student Shruti Sridhar has written an autopkgtest for
this package which uncovers a real bug.  This is fixed in the
really late upload.

[ Reason ]
The upload fixes a circular import in the code which was fixed
in a patch.  The according autopkgtest is included in the change
as well.

[ Impact ]
The program would not work without the patch.

[ Tests ]
The autopkgtest is part of the changes of this upload.

[ Risks ]
There are no real risks since the package is a leaf package.

[ Checklist ]
  [x] all changes are documented in the d/changelog
  [x] I reviewed all changes and I approve them
  [x] attach debdiff against the package in testing


unblock mirtop/0.4.23-2
diff -Nru mirtop-0.4.23/debian/changelog mirtop-0.4.23/debian/changelog
--- mirtop-0.4.23/debian/changelog	2019-12-05 11:43:49.000000000 +0100
+++ mirtop-0.4.23/debian/changelog	2021-06-30 20:18:19.000000000 +0200
@@ -1,3 +1,15 @@
+mirtop (0.4.23-2) unstable; urgency=medium
+
+  * Team Upload.
+
+  [ Shruti Sridhar ]
+  * Add autopkgtests
+
+  [ Nilesh Patra ]
+  * d/p/fix-circular-import.patch: Fix circular import
+
+ -- Nilesh Patra <nilesh@debian.org>  Wed, 30 Jun 2021 18:18:19 +0000
+
 mirtop (0.4.23-1) unstable; urgency=medium
 
   * New upstream version
diff -Nru mirtop-0.4.23/debian/patches/fix-circular-import.patch mirtop-0.4.23/debian/patches/fix-circular-import.patch
--- mirtop-0.4.23/debian/patches/fix-circular-import.patch	1970-01-01 01:00:00.000000000 +0100
+++ mirtop-0.4.23/debian/patches/fix-circular-import.patch	2021-06-30 20:18:19.000000000 +0200
@@ -0,0 +1,29 @@
+Description: import module in needed functions to fix circular import
+Author: Nilesh Patra <nilesh@debian.org>
+Last-Update: 2021-06-30
+--- a/mirtop/bam/bam.py
++++ b/mirtop/bam/bam.py
+@@ -15,7 +15,6 @@
+ from mirtop.mirna.realign import isomir, hits, reverse_complement
+ from mirtop.mirna.mapper import get_primary_transcript, guess_database
+ from mirtop.bam import filter
+-from mirtop.gff import body
+ from mirtop.mirna.annotate import annotate
+ from mirtop.libs import sql
+ 
+@@ -72,6 +71,7 @@
+ def low_memory_bam(bam_fn, sample, out_handle, args):
+     if args.genomic:
+         raise ValueError("low-memory option is not compatible with genomic coordinates.")
++    from mirtop.gff import body
+     precursors = args.precursors
+     bam_fn = _sam_to_bam(bam_fn)
+     bam_fn = _bam_sort(bam_fn)
+@@ -100,6 +100,7 @@
+ def low_memory_genomic_bam(bam_fn, sample, out_handle, args):
+     logger.info("Reading BAM file in low memory mode.")
+     logger.warning("This is under development and variants can be unexact.")
++    from mirtop.gff import body
+     precursors = args.precursors
+     bam_fn = _sam_to_bam(bam_fn)
+     bam_fn = _bam_sort(bam_fn)
diff -Nru mirtop-0.4.23/debian/patches/series mirtop-0.4.23/debian/patches/series
--- mirtop-0.4.23/debian/patches/series	2019-12-05 11:42:13.000000000 +0100
+++ mirtop-0.4.23/debian/patches/series	2021-06-30 20:18:19.000000000 +0200
@@ -1 +1,2 @@
 spelling
+fix-circular-import.patch
diff -Nru mirtop-0.4.23/debian/tests/control mirtop-0.4.23/debian/tests/control
--- mirtop-0.4.23/debian/tests/control	1970-01-01 01:00:00.000000000 +0100
+++ mirtop-0.4.23/debian/tests/control	2021-06-30 20:18:19.000000000 +0200
@@ -0,0 +1,3 @@
+Tests: run-unit-test
+Depends: @, python3-nose, samtools, bedtools, seqan-apps
+Restrictions: allow-stderr
diff -Nru mirtop-0.4.23/debian/tests/run-unit-test mirtop-0.4.23/debian/tests/run-unit-test
--- mirtop-0.4.23/debian/tests/run-unit-test	1970-01-01 01:00:00.000000000 +0100
+++ mirtop-0.4.23/debian/tests/run-unit-test	2021-06-30 20:18:19.000000000 +0200
@@ -0,0 +1,20 @@
+#!/bin/bash
+set -e
+
+CUR_DIR=`pwd`
+if [ "$AUTOPKGTEST_TMP" = "" ] ; then
+  AUTOPKGTEST_TMP=`mktemp -d /tmp/${pkg}-test.XXXXXX`
+  trap "rm -rf $AUTOPKGTEST_TMP" 0 INT QUIT ABRT PIPE TERM
+fi
+
+cp -a ${CUR_DIR}/test/ $AUTOPKGTEST_TMP
+cp -a ${CUR_DIR}/data/ $AUTOPKGTEST_TMP
+
+cd $AUTOPKGTEST_TMP
+
+for py in $(py3versions -s 2> /dev/null)
+do
+    echo "Testing with $py in $(pwd):"
+    nosetests3 -v
+    
+done

--- End Message ---
--- Begin Message ---
On 2021-07-01 06:28:18 +0200, Andreas Tille wrote:
> Package: release.debian.org
> Severity: normal
> User: release.debian.org@packages.debian.org
> Usertags: unblock
> X-Debbugs-Cc: debian-med-packaging@lists.alioth.debian.org
> 
> Please unblock package mirtop
> 
> our GSoC Student Shruti Sridhar has written an autopkgtest for
> this package which uncovers a real bug.  This is fixed in the
> really late upload.
> 
> [ Reason ]
> The upload fixes a circular import in the code which was fixed
> in a patch.  The according autopkgtest is included in the change
> as well.
> 
> [ Impact ]
> The program would not work without the patch.
> 
> [ Tests ]
> The autopkgtest is part of the changes of this upload.
> 
> [ Risks ]
> There are no real risks since the package is a leaf package.
> 
> [ Checklist ]
>   [x] all changes are documented in the d/changelog
>   [x] I reviewed all changes and I approve them
>   [x] attach debdiff against the package in testing
> 
> 
> unblock mirtop/0.4.23-2

Aged to 7 days.

Cheers


> diff -Nru mirtop-0.4.23/debian/changelog mirtop-0.4.23/debian/changelog
> --- mirtop-0.4.23/debian/changelog	2019-12-05 11:43:49.000000000 +0100
> +++ mirtop-0.4.23/debian/changelog	2021-06-30 20:18:19.000000000 +0200
> @@ -1,3 +1,15 @@
> +mirtop (0.4.23-2) unstable; urgency=medium
> +
> +  * Team Upload.
> +
> +  [ Shruti Sridhar ]
> +  * Add autopkgtests
> +
> +  [ Nilesh Patra ]
> +  * d/p/fix-circular-import.patch: Fix circular import
> +
> + -- Nilesh Patra <nilesh@debian.org>  Wed, 30 Jun 2021 18:18:19 +0000
> +
>  mirtop (0.4.23-1) unstable; urgency=medium
>  
>    * New upstream version
> diff -Nru mirtop-0.4.23/debian/patches/fix-circular-import.patch mirtop-0.4.23/debian/patches/fix-circular-import.patch
> --- mirtop-0.4.23/debian/patches/fix-circular-import.patch	1970-01-01 01:00:00.000000000 +0100
> +++ mirtop-0.4.23/debian/patches/fix-circular-import.patch	2021-06-30 20:18:19.000000000 +0200
> @@ -0,0 +1,29 @@
> +Description: import module in needed functions to fix circular import
> +Author: Nilesh Patra <nilesh@debian.org>
> +Last-Update: 2021-06-30
> +--- a/mirtop/bam/bam.py
> ++++ b/mirtop/bam/bam.py
> +@@ -15,7 +15,6 @@
> + from mirtop.mirna.realign import isomir, hits, reverse_complement
> + from mirtop.mirna.mapper import get_primary_transcript, guess_database
> + from mirtop.bam import filter
> +-from mirtop.gff import body
> + from mirtop.mirna.annotate import annotate
> + from mirtop.libs import sql
> + 
> +@@ -72,6 +71,7 @@
> + def low_memory_bam(bam_fn, sample, out_handle, args):
> +     if args.genomic:
> +         raise ValueError("low-memory option is not compatible with genomic coordinates.")
> ++    from mirtop.gff import body
> +     precursors = args.precursors
> +     bam_fn = _sam_to_bam(bam_fn)
> +     bam_fn = _bam_sort(bam_fn)
> +@@ -100,6 +100,7 @@
> + def low_memory_genomic_bam(bam_fn, sample, out_handle, args):
> +     logger.info("Reading BAM file in low memory mode.")
> +     logger.warning("This is under development and variants can be unexact.")
> ++    from mirtop.gff import body
> +     precursors = args.precursors
> +     bam_fn = _sam_to_bam(bam_fn)
> +     bam_fn = _bam_sort(bam_fn)
> diff -Nru mirtop-0.4.23/debian/patches/series mirtop-0.4.23/debian/patches/series
> --- mirtop-0.4.23/debian/patches/series	2019-12-05 11:42:13.000000000 +0100
> +++ mirtop-0.4.23/debian/patches/series	2021-06-30 20:18:19.000000000 +0200
> @@ -1 +1,2 @@
>  spelling
> +fix-circular-import.patch
> diff -Nru mirtop-0.4.23/debian/tests/control mirtop-0.4.23/debian/tests/control
> --- mirtop-0.4.23/debian/tests/control	1970-01-01 01:00:00.000000000 +0100
> +++ mirtop-0.4.23/debian/tests/control	2021-06-30 20:18:19.000000000 +0200
> @@ -0,0 +1,3 @@
> +Tests: run-unit-test
> +Depends: @, python3-nose, samtools, bedtools, seqan-apps
> +Restrictions: allow-stderr
> diff -Nru mirtop-0.4.23/debian/tests/run-unit-test mirtop-0.4.23/debian/tests/run-unit-test
> --- mirtop-0.4.23/debian/tests/run-unit-test	1970-01-01 01:00:00.000000000 +0100
> +++ mirtop-0.4.23/debian/tests/run-unit-test	2021-06-30 20:18:19.000000000 +0200
> @@ -0,0 +1,20 @@
> +#!/bin/bash
> +set -e
> +
> +CUR_DIR=`pwd`
> +if [ "$AUTOPKGTEST_TMP" = "" ] ; then
> +  AUTOPKGTEST_TMP=`mktemp -d /tmp/${pkg}-test.XXXXXX`
> +  trap "rm -rf $AUTOPKGTEST_TMP" 0 INT QUIT ABRT PIPE TERM
> +fi
> +
> +cp -a ${CUR_DIR}/test/ $AUTOPKGTEST_TMP
> +cp -a ${CUR_DIR}/data/ $AUTOPKGTEST_TMP
> +
> +cd $AUTOPKGTEST_TMP
> +
> +for py in $(py3versions -s 2> /dev/null)
> +do
> +    echo "Testing with $py in $(pwd):"
> +    nosetests3 -v
> +    
> +done


-- 
Sebastian Ramacher

Attachment: signature.asc
Description: PGP signature


--- End Message ---

Reply to: